The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EA4 - Latest version of cURL?

Discussion in 'EasyApache' started by MastricX, Jan 15, 2016.

  1. MastricX

    MastricX Member

    Joined:
    Aug 29, 2009
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    Ran in to some issues that related to the version of cURL available in EA4 and i just wanted to confirm that 7.29 is the latest package available, and that I'm not having some library error.
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    650
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    You can run "yum update" to ensure you have the latest packages from the EA4 repository. Could you elaborate on the specific issue you are facing related to cURL? Also, please let us know your operating system version and architecture.

    Thank you.
     
  3. MastricX

    MastricX Member

    Joined:
    Aug 29, 2009
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    Invision Power Board 4 recommends cURL 7.36, otherwise it'll fall back to PHP Sockets. IPB has resolved the issue I was having by making a change to their PHP Sockets functions, but I would like to run the recommended version of cURL.

    CentOS 7.2.1511 - x86_64
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    650
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    I don't believe that version of cURL is offered with any of the standard CentOS YUM repositories:

    Code:
    # cat /etc/redhat-release
    CentOS Linux release 7.2.1511 (Core)
    # yum list libcurl
    Installed Packages
    libcurl.x86_64                           7.29.0-25.el7.centos                           @base
    Available Packages
    libcurl.i686                             7.29.0-25.el7.centos                           base 
    Thank you.
     
Loading...

Share This Page